@edgible-team/sdk
    Preparing search index...

    Interface ApplicationMetrics

    Response of GET /organizations/{org}/applications/{id}/metrics — vendored from the backend ApplicationLogService.ApplicationMetrics (the legacy client returned any).

    interface ApplicationMetrics {
        applicationId: string;
        applicationName?: string;
        events: {
            action: string;
            deviceType: "gateway" | "serving";
            eventType: EventType;
            message: string;
            metadata?: Record<string, unknown>;
            timestamp: string;
        }[];
        gateway?: ApplicationGatewayMetrics;
        healthTimeSeries?: ApplicationHealthTimeSeriesPoint[];
        serving?: ApplicationServingMetrics;
        status: "unknown"
        | "healthy"
        | "degraded"
        | "down";
        timeRange: ApplicationMetricsTimeRange;
        uptime: number;
    }
    Index

    Properties

    applicationId: string
    applicationName?: string
    events: {
        action: string;
        deviceType: "gateway" | "serving";
        eventType: EventType;
        message: string;
        metadata?: Record<string, unknown>;
        timestamp: string;
    }[]
    status: "unknown" | "healthy" | "degraded" | "down"
    uptime: number

    Seconds.